Subject: Re: bug#10348: 24.0.92; Save and load window states

From: martin rudalics <[email-masked]>
Date: Sat, 24 Dec 2011 10:26:41 +0100

> Actually there exists already a parameter that distinguishes between values
 > needed for intra-session purposes and needed for inter-session purposes.
 > It is the argument `markers' of the function `window-state-get'.  When non-nil,
 > it returns internal values meaningful only in the current session.  When nil,
 > it returns integer values safe to save and read in another session.
 > This argument could be renamed to a more general name and used for
 > other values besides markers.  Then a caller of `window-state-get'
 > could decide whether its return value is intended for the same session
 > or for intra-session purposes.

So we could add the `window-state-saved-parameters' variable Stefan
proposed and add parameters mentioned there only if the (probably)
renamed MARKERS argument is t or nil (whatever default we want here).

martin